Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWSInputMethod Class Reference

The QWSInputMethod class provides international input methods for Qt/Embedded. More...

`#include <qwindowsystem_qws.h>`

List of all member functions.

## Public Members

- virtual bool filter ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) = 0
- virtual void reset ()

## Protected Members

- void sendKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )

## Detailed Description

The QWSInputMethod class provides international input methods for Qt/Embedded.

Subclass this to implement your own input method.

## Member Function Documentation

### void QWSInputMethod::reset ()`[virtual]`

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.